	.file	"point.c"
	.text
	.p2align 4,,15
.globl new_point
	.type	new_point, @function
new_point:
.LFB2:
	subq	$8, %rsp
.LCFI0:
	movl	$12, %edi
	call	malloc
	movl	$0, 4(%rax)
	movl	$0, (%rax)
	movb	$-1, 10(%rax)
	movb	$-1, 9(%rax)
	movb	$-1, 8(%rax)
	addq	$8, %rsp
	ret
.LFE2:
	.size	new_point, .-new_point
	.p2align 4,,15
.globl non_portable_new_point
	.type	non_portable_new_point, @function
non_portable_new_point:
.LFB3:
	subq	$8, %rsp
.LCFI1:
	movl	$12, %edi
	call	malloc
	movb	$0, 3(%rax)
	movb	$0, 2(%rax)
	movb	$0, 1(%rax)
	movb	$0, (%rax)
	movb	$0, 7(%rax)
	movb	$0, 6(%rax)
	movb	$0, 5(%rax)
	movb	$0, 4(%rax)
	movb	$-1, 10(%rax)
	movb	$-1, 9(%rax)
	movb	$-1, 8(%rax)
	addq	$8, %rsp
	ret
.LFE3:
	.size	non_portable_new_point, .-non_portable_new_point
	.section	.eh_frame,"a",@progbits
.Lframe1:
	.long	.LECIE1-.LSCIE1
.LSCIE1:
	.long	0x0
	.byte	0x1
	.string	""
	.uleb128 0x1
	.sleb128 -8
	.byte	0x10
	.byte	0xc
	.uleb128 0x7
	.uleb128 0x8
	.byte	0x90
	.uleb128 0x1
	.align 8
.LECIE1:
.LSFDE1:
	.long	.LEFDE1-.LASFDE1
.LASFDE1:
	.long	.LASFDE1-.Lframe1
	.quad	.LFB2
	.quad	.LFE2-.LFB2
	.byte	0x4
	.long	.LCFI0-.LFB2
	.byte	0xe
	.uleb128 0x10
	.align 8
.LEFDE1:
.LSFDE3:
	.long	.LEFDE3-.LASFDE3
.LASFDE3:
	.long	.LASFDE3-.Lframe1
	.quad	.LFB3
	.quad	.LFE3-.LFB3
	.byte	0x4
	.long	.LCFI1-.LFB3
	.byte	0xe
	.uleb128 0x10
	.align 8
.LEFDE3:
	.section	.note.GNU-stack,"",@progbits
	.ident	"GCC: (GNU) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)"
